import sys
#from pdb import set_trace as trace
import binascii

import SSLCrypto

print "creating bf key object"

k = SSLCrypto.blowfish("aBCdeFgHijKlMNoP")

plain = "hello, there!"

print "encrypting..."
e = k.encrypt(plain)

print "decrypting..."
k.setIV()
d = k.decrypt(e)

print "plain0=", repr(plain)
print "plain1=", repr(d)

